# plupload.runtimes.Flash

Namespace | plupload.runtimes
Class | Flash
Type | Singleton
Inheritance | Flash Runtime

FlashRuntime implementation. This runtime supports these features: jpgresize, pngresize, chunks.

## Public Methods

Method | Defined By
--- | ---
init(uploader:Uploader, callback:function):void [static] Initializes the upload runtime. | Flash

## Method details

### initmethod

`public static function init(uploader:Uploader, callback:function):void`
Initializes the upload runtime. This method should add necessary items to the DOM and register events needed for operation.

#### Parameters

uploader:Uploader | Uploader instance that needs to be initialized.
callback:function | Callback to execute when the runtime initializes or fails to initialize. If it succeeds an object with a parameter name success will be set to true.